# https://fedoraproject.org/wiki/Packaging:Haskell

Name:           rpmbuild-order
Version:        0.1
Release:        1.1%{?dist}
Summary:        Order RPM packages by dependencies

License:        BSD
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
#BuildRequires:  ghc-explicit-exception-devel
%if %{defined fedora}
BuildRequires:  ghc-fgl-devel
%endif
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps
BuildRequires:  cabal-install
# for rpmspec
Requires:       rpm-build

%description
The rpmbuild-order tool orders RPM packages by dependencies, so that they can
be built in the correct order. It does this by reading RPM package spec files
and then topologically sorts them according to their dependencies. The code
originates from cabal-sort by Henning Thielemann. It can also output the
ordered dependencies or reverse depends for one or more packages, provided all
the packages are checked out in neighbouring directories. This is also useful
to see what packages are affected when a low-level package changes.


%prep
%setup -q


%build
[ -d "$HOME/.cabal" ] || cabal update
%global cabal cabal
%if %{defined fedora}
%cabal sandbox init
%endif
%cabal install --only-dependencies
%ghc_bin_build


%install
%ghc_bin_install


%files
%license LICENSE
%doc ChangeLog README.md TODO
%{_bindir}/%{name}


%changelog
* Wed Jul 25 2018 Jens Petersen <petersen@redhat.com> - 0.1-1
- initial copr build
